io.vertx.rxjava3.openapi.contract

## Class OAuthFlows

- java.lang.Object
- - io.vertx.rxjava3.openapi.contract.OAuthFlows

-     public class OAuthFlows
      extends Object

  Represents an OAuth Flows Object.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<OAuthFlows>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthFlows(OAuthFlows delegate)`
    `OAuthFlows(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `OAuthFlow` | `getAuthorizationCode()` Configuration for the OAuth Authorization Code flow.
    `OAuthFlow` | `getClientCredentials()` Configuration for the OAuth Client Credentials flow.
    `OAuthFlows` | `getDelegate()`
    `OAuthFlow` | `getImplicit()` Configuration for the OAuth Implicit flow.
    `OAuthFlow` | `getPassword()` Configuration for the OAuth Resource Owner Password flow
    `int` | `hashCode()`
    `static OAuthFlows` | `newInstance(OAuthFlows arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<OAuthFlows> __TYPE_ARG

  - ### Constructor Detail

    - #### OAuthFlows

          public OAuthFlows(OAuthFlows delegate)

    - #### OAuthFlows

          public OAuthFlows(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public OAuthFlows getDelegate()

    - #### getImplicit

          public OAuthFlow getImplicit()

      Configuration for the OAuth Implicit flow.
      Returns:

    - #### getPassword

          public OAuthFlow getPassword()

      Configuration for the OAuth Resource Owner Password flow
      Returns:

    - #### getClientCredentials

          public OAuthFlow getClientCredentials()

      Configuration for the OAuth Client Credentials flow. Previously called application in OpenAPI 2.0.
      Returns:

    - #### getAuthorizationCode

          public OAuthFlow getAuthorizationCode()

      Configuration for the OAuth Authorization Code flow. Previously called accessCode in OpenAPI 2.0.
      Returns:

    - #### newInstance

          public static OAuthFlows newInstance(OAuthFlows arg)

Copyright © 2024 Eclipse. All rights reserved.